import os

from django.core.paginator import Paginator

from DCbackend.utils.common import success, fail, pageData, handle_uploaded_file, oss_upload_file
from backend.Form.ProjectCategoryForm import ProjectCategoryForm
from backend.Form.ProjectForm import ProjectForm
from backend.Service.ProjectCategoryService import ProjectCategoryService
from backend.models import ProjectCategory, DefaultStatus, Project


class UploadService:

    @staticmethod
    def File(request):
        file = request.FILES['file']
        localFile=handle_uploaded_file(file)
        ossFile = oss_upload_file(localFile)
        data = {
            'fileUrl': ossFile,
        }
        if os.path.exists(localFile):
            os.remove(localFile)

        return success(data)
